• Уважаемые пользователи! Решение проблем с работой плагинов, компиляцией, падением сервера и прочими обращайтесь в раздел Помощи! Данная тема предназначена для обсуждения плагина, его функционала, принципа работы и предложений.
GameCMS Present

Плагин АМХХ GameCMS Present 1.6.9

Нет прав для скачивания

zhorzh78

Администратор
D1m0n41k,
C++:
/** Получение данных о презенте по его уникальному номеру
*   
*    @idKey - уникальный номер презента
*    @Data - массив с данными о презенте
*        Data[0] - доступ ePresentsAccess
*        Data[1] - мин. количество игроков для появления презента
*        Data[2] - количество (сколько может выпасть таких презентов)
*    @Name[]    - название презента
*    @Len     - размер буфера для записи названия
*/
native CmsGetPresentInfoByKey(idKey, Data[3], Name[], Len)
В большинстве случаев будет достаточно. За исключением ручного спавна с измененными параметрами.
 

zhorzh78

Администратор

ashok49

Участник
zhorzh78, после обновы что то при таких настройках подбирается всем. Хотя выставлен только зарегистрированным
Код:
coinPresent = CmsAddPresent(500, "монета", -1, -3, 0, "exp2_blue", 0);
 

zhorzh78

Администратор
ashok49, В этой части ничего не менялось. Если что-то не так, включайте логи в плагине cms_present_logs "3" и предоставляйте в теме помощи.
 

Magistr

Участник
Здравствуйте! Я бы хотел узнать у вас по поводу добавления своих презентов.
Можете ли вы за отдельную плату добавить мне мои презенты в этот плагин? Если да — то сколько это будет стоить?
 

pollfank

Участник
zhorzh78,
Код:
Function "native_CmsGetSpawnedPresentsCount" was not found
L 11/12/2020 - 02:15:18: [AMXX] Run time error 19 (plugin "gamecms_present.amxx") - debug not enabled!
L 11/12/2020 - 02:15:18: [AMXX] To enable debug mode, add "debug" after the plugin name in plugins.ini (without quotes).
L 11/12/2020 - 02:15:18: [AMXX] Run time error -1 (plugin "gamecms_present.amxx") - debug not enabled!
L 11/12/2020 - 02:15:20: Invalid CVAR pointer
Такое под amxmodx 1.8.2
 

zhorzh78

Администратор
pollfank, используйте более ранние версии плагина для 182. Новые версии не всегда могут быть адаптированы под 182 и будут возникать проблемы.
Посмотрю, что можно сделать.
 
Сверху